From f0d7c2a7df77aa43b1a84bb20dfafe16f4d11a40 Mon Sep 17 00:00:00 2001
From: Holger Just <hjust@meine-er.de>
Date: Wed, 18 Jul 2012 18:57:27 +0200
Subject: Update to Rails 3.0

---
 Gemfile                                   |    4 +-
 Rakefile                                  |   10 +--
 config.ru                                 |   18 ++++
 config/additional_environment.rb.example  |    2 +-
 config/application.rb                     |   62 ++++++++++++++
 config/boot.rb                            |  125 +----------------------------
 config/environment.rb                     |   78 +-----------------
 config/environments/development.rb        |   46 ++++++++---
 config/environments/production.rb         |   87 +++++++++++++++------
 config/environments/test.rb               |   50 +++++++-----
 config/initializers/30-redmine.rb         |    1 -
 config/initializers/inflections.rb        |    5 +
 config/initializers/new_rails_defaults.rb |   35 --------
 script/breakpointer                       |    4 -
 script/console                            |    4 -
 script/dbconsole                          |    4 -
 script/destroy                            |    4 -
 script/generate                           |    4 -
 script/performance/benchmarker            |    4 -
 script/performance/profiler               |    4 -
 script/performance/request                |    4 -
 script/plugin                             |    4 -
 script/process/inspector                  |    4 -
 script/process/reaper                     |    4 -
 script/process/spawner                    |    4 -
 script/process/spinner                    |    4 -
 script/rails                              |    6 ++
 script/runner                             |    4 -
 script/server                             |    4 -
 29 files changed, 228 insertions(+), 361 deletions(-)
 create mode 100644 config.ru
 create mode 100644 config/application.rb
 delete mode 100644 config/initializers/new_rails_defaults.rb
 delete mode 100755 script/breakpointer
 delete mode 100755 script/console
 delete mode 100755 script/dbconsole
 delete mode 100755 script/destroy
 delete mode 100755 script/generate
 delete mode 100755 script/performance/benchmarker
 delete mode 100755 script/performance/profiler
 delete mode 100644 script/performance/request
 delete mode 100755 script/plugin
 delete mode 100644 script/process/inspector
 delete mode 100755 script/process/reaper
 delete mode 100755 script/process/spawner
 delete mode 100755 script/process/spinner
 create mode 100644 script/rails
 delete mode 100755 script/runner
 delete mode 100755 script/server

diff --git a/Gemfile b/Gemfile
index 97efe1a..7f7d343 100644
--- a/Gemfile
+++ b/Gemfile
@@ -1,11 +1,10 @@
 # -*- coding: utf-8 -*-
 source "https://rubygems.org"
 
-gem "rails", "2.3.18"
+gem "rails", "~> 3.0.0"
 
 gem "json", "~> 1.7.7"
 gem "coderay", "~> 1.0.0"
-gem "i18n", "~> 0.4.2"
 gem "rubytree", "~> 0.5.2", :require => 'tree'
 gem "rdoc", ">= 2.4.2"
 gem "liquid", "~> 2.3.0"
@@ -13,7 +12,6 @@ gem "acts-as-taggable-on", "= 2.1.0"
 gem 'gravatarify', '~> 3.0.0'
 # Needed only on RUBY_VERSION = 1.8, ruby 1.9+ compatible interpreters should bring their csv
 gem "fastercsv", "~> 1.5.0", :platforms => [:ruby_18, :jruby, :mingw_18]
-gem "tzinfo", "~> 0.3.31" # Fixes #903. Not required for Rails >= 3.2
 
 group :test do
   gem 'shoulda', '~> 2.10.3'
diff --git a/Rakefile b/Rakefile
index 8c5fa3f..b73bc7e 100644
--- a/Rakefile
+++ b/Rakefile
@@ -1,12 +1,6 @@
 # Add your own tasks in files placed in lib/tasks ending in .rake,
 # for example lib/tasks/capistrano.rake, and they will automatically be available to Rake.
 
-require(File.join(File.dirname(__FILE__), 'config', 'boot'))
+require File.expand_path('../config/application', __FILE__)
 
-require 'rake'
-require 'rake/testtask'
-require 'rdoc/task'
-
-require 'tasks/rails'
-# Load rake tasks from plugins in chiliproject_plugins
-Dir["#{RAILS_ROOT}/vendor/chiliproject_plugins/*/lib/tasks/**/*.rake"].sort.each { |ext| load ext }
+ChiliProject::Application.load_tasks
diff --git a/config.ru b/config.ru
new file mode 100644
index 0000000..d1b5c8b
--- /dev/null
+++ b/config.ru
@@ -0,0 +1,18 @@
+#-- encoding: UTF-8
+#-- copyright
+# ChiliProject is a project management system.
+#
+# Copyright (C) 2010-2012 the ChiliProject Team
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# See doc/COPYRIGHT.rdoc for more details.
+#++
+
+# This file is used by Rack-based servers to start the application.
+
+require ::File.expand_path('../config/environment',  __FILE__)
+run ChiliProject::Application
diff --git a/config/additional_environment.rb.example b/config/additional_environment.rb.example
index c50c376..50f6a41 100644
--- a/config/additional_environment.rb.example
+++ b/config/additional_environment.rb.example
@@ -1,5 +1,5 @@
 # Copy this file to additional_environment.rb and add any statements
-# that need to be passed to the Rails::Initializer.  `config` is
+# that need to be passed to the ChiliProject::Application.  `config` is
 # available in this context.
 #
 # Example:
diff --git a/config/application.rb b/config/application.rb
new file mode 100644
index 0000000..8176a47
--- /dev/null
+++ b/config/application.rb
@@ -0,0 +1,62 @@
+require File.expand_path('../boot', __FILE__)
+
+require 'rails/all'
+
+if defined?(Bundler)
+  # If you precompile assets before deploying to production, use this line
+  Bundler.require(*Rails.groups(:assets => %w(development test)))
+  # If you want your assets lazily compiled in production, use this line
+  # Bundler.require(:default, :assets, Rails.env)
+end
+
+module ChiliProject
+  class Application < Rails::Application
+    # Settings in config/environments/* take precedence over those specified here.
+    # Application configuration should go into files in config/initializers
+    # -- all .rb files in that directory are automatically loaded.
+
+    # Custom directories with classes and modules you want to be autoloadable.
+    config.autoload_paths += %W[#{config.root}/lib #{config.root}/app/drops]
+
+    # Only load the plugins named here, in the order given (default is alphabetical).
+    # :all can be used as a placeholder for all plugins not explicitly named.
+    # config.plugins = [ :exception_notification, :ssl_requirement, :all ]
+
+    # Activate observers that should always be running.
+    config.active_record.observers = :journal_observer, :message_observer, :issue_observer, :news_observer, :document_observer, :comment_observer
+    config.active_record.store_full_sti_class = true
+
+    # Set Time.zone default to the specified zone and make Active Record auto-convert to this zone.
+    # Run "rake -D time" for a list of tasks for finding time zone names. Default is UTC.
+    # config.time_zone = 'Central Time (US & Canada)'
+    config.active_record.default_timezone = :local
+
+    # The default locale is :en and all translations from config/locales/*.rb,yml are auto loaded.
+    # config.i18n.load_path += Dir[Rails.root.join('my', 'locales', '*.{rb,yml}').to_s]
+    config.i18n.default_locale = :en
+
+    # Configure the default encoding used in templates for Ruby 1.9.
+    config.encoding = "utf-8"
+
+    # Configure sensitive parameters which will be filtered from the log file.
+    config.filter_parameters += [:password]
+
+    # Enable escaping HTML in JSON.
+    config.active_support.escape_html_entities_in_json = true
+
+    # Use SQL instead of Active Record's schema dumper when creating the database.
+    # This is necessary if your schema can't be completely dumped by the schema dumper,
+    # like if you have constraints or database-specific column types
+    # config.active_record.schema_format = :sql
+
+    # Enforce whitelist mode for mass assignment.
+    # This will create an empty whitelist of attributes available for mass-assignment for all models
+    # in your app. As such, your models will need to explicitly whitelist or blacklist accessible
+    # parameters by using an attr_accessible or attr_protected declaration.
+    config.active_record.whitelist_attributes = true
+
+    if File.exists?(File.join(File.dirname(__FILE__), 'additional_environment.rb'))
+      instance_eval File.read(File.join(File.dirname(__FILE__), 'additional_environment.rb'))
+    end
+  end
+end
diff --git a/config/boot.rb b/config/boot.rb
index 5a49734..8555d71 100644
--- a/config/boot.rb
+++ b/config/boot.rb
@@ -12,126 +12,9 @@
 # See doc/COPYRIGHT.rdoc for more details.
 #++
 
-# Don't change this file!
-# Configure your app in config/environment.rb and config/environments/*.rb
+require 'rubygems'
 
-RAILS_ROOT = "#{File.dirname(__FILE__)}/.." unless defined?(RAILS_ROOT)
+# Set up gems listed in the Gemfile.
+ENV['BUNDLE_GEMFILE'] ||= File.expand_path('../../Gemfile', __FILE__)
 
-module Rails
-  class << self
-    def boot!
-      unless booted?
-        preinitialize
-        pick_boot.run
-      end
-    end
-
-    def booted?
-      defined? Rails::Initializer
-    end
-
-    def pick_boot
-      (vendor_rails? ? VendorBoot : GemBoot).new
-    end
-
-    def vendor_rails?
-      File.exist?("#{RAILS_ROOT}/vendor/rails")
-    end
-
-    def preinitialize
-      load(preinitializer_path) if File.exist?(preinitializer_path)
-    end
-
-    def preinitializer_path
-      "#{RAILS_ROOT}/config/preinitializer.rb"
-    end
-  end
-
-  class Boot
-    def run
-      load_initializer
-
-      # This block was added for bundler support while following setup
-      # instructions from http://gembundler.com/rails23.html
-      Rails::Initializer.class_eval do
-        def load_gems
-          @bundler_loaded ||= Bundler.require :default, Rails.env
-        end
-      end
-
-      Rails::Initializer.run(:set_load_path)
-    end
-  end
-
-  class VendorBoot < Boot
-    def load_initializer
-      require "#{RAILS_ROOT}/vendor/rails/railties/lib/initializer"
-      Rails::Initializer.run(:install_gem_spec_stubs)
-      Rails::GemDependency.add_frozen_gem_path
-    end
-  end
-
-  class GemBoot < Boot
-    def load_initializer
-      self.class.load_rubygems
-      load_rails_gem
-      require 'initializer'
-    end
-
-    def load_rails_gem
-      if version = self.class.gem_version
-        gem 'rails', version
-      else
-        gem 'rails'
-      end
-    rescue Gem::LoadError => load_error
-      if load_error.message =~ /Could not find RubyGem rails/
-        STDERR.puts %(Missing the Rails #{version} gem. Please `gem install -v=#{version} rails`, update your RAILS_GEM_VERSION setting in config/environment.rb for the Rails version you do have installed, or comment out RAILS_GEM_VERSION to use the latest version installed.)
-        exit 1
-      else
-        raise
-      end
-    end
-
-    class << self
-      def rubygems_version
-        Gem::RubyGemsVersion rescue nil
-      end
-
-      def gem_version
-        if defined? RAILS_GEM_VERSION
-          RAILS_GEM_VERSION
-        elsif ENV.include?('RAILS_GEM_VERSION')
-          ENV['RAILS_GEM_VERSION']
-        else
-          parse_gem_version(read_environment_rb)
-        end
-      end
-
-      def load_rubygems
-        min_version = '1.3.2'
-        require 'rubygems'
-        unless rubygems_version >= min_version
-          $stderr.puts %Q(Rails requires RubyGems >= #{min_version} (you have #{rubygems_version}). Please `gem update --system` and try again.)
-          exit 1
-        end
-
-      rescue LoadError
-        $stderr.puts %Q(Rails requires RubyGems >= #{min_version}. Please install RubyGems and try again: http://rubygems.rubyforge.org)
-        exit 1
-      end
-
-      def parse_gem_version(text)
-        $1 if text =~ /^[^#]*RAILS_GEM_VERSION\s*=\s*["']([!~<>=]*\s*[\d.]+)["']/
-      end
-
-      private
-        def read_environment_rb
-          File.read("#{RAILS_ROOT}/config/environment.rb")
-        end
-    end
-  end
-end
-
-# All that for this:
-Rails.boot!
+require 'bundler/setup' if File.exists?(ENV['BUNDLE_GEMFILE'])
diff --git a/config/environment.rb b/config/environment.rb
index bf5251e..e761d4b 100644
--- a/config/environment.rb
+++ b/config/environment.rb
@@ -12,79 +12,5 @@
 # See doc/COPYRIGHT.rdoc for more details.
 #++
 
-# Be sure to restart your web server when you modify this file.
-
-# Uncomment below to force Rails into production mode when
-# you don't control web/app server and can't set it the proper way
-# ENV['RAILS_ENV'] ||= 'production'
-
-# use RACK_ENV if we are running as a simple rack app
-ENV['RAILS_ENV'] ||= ENV['RACK_ENV'] if ENV['RACK_ENV']
-
-# this is replaced by config.encoding = "utf-8" in rails3
-if RUBY_VERSION >= '1.9'
-  Encoding.default_external = 'UTF-8'
-  Encoding.default_internal = 'UTF-8'
-else
-  $KCODE='UTF-8'
-end
-
-# Bootstrap the Rails environment, frameworks, and default configuration
-require File.join(File.dirname(__FILE__), 'boot')
-
-# Load Engine plugin if available
-begin
-  require File.join(File.dirname(__FILE__), '../vendor/plugins/engines/boot')
-rescue LoadError
-  # Not available
-end
-
-Rails::Initializer.run do |config|
-  # Settings in config/environments/* take precedence those specified here
-
-  # Skip frameworks you're not going to use
-  # config.frameworks -= [ :action_web_service, :action_mailer ]
-
-  # Add additional load paths for sweepers
-  config.autoload_paths += %W( #{RAILS_ROOT}/app/sweepers )
-
-  # Force all environments to use the same logger level
-  # (by default production uses :info, the others :debug)
-  # config.log_level = :debug
-
-  # Liquid drops
-  config.autoload_paths += %W( #{RAILS_ROOT}/app/drops )
-
-  # Enable page/fragment caching by setting a file-based store
-  # (remember to create the caching directory and make it readable to the application)
-  # config.action_controller.cache_store = :file_store, "#{RAILS_ROOT}/tmp/cache"
-
-  # Activate observers that should always be running
-  # config.active_record.observers = :cacher, :garbage_collector
-  config.active_record.observers = :journal_observer, :message_observer, :issue_observer, :news_observer, :document_observer, :comment_observer
-
-  # Make Active Record use UTC-base instead of local time
-  # config.active_record.default_timezone = :utc
-
-  # Use Active Record's schema dumper instead of SQL when creating the test database
-  # (enables use of different database adapters for development and test environments)
-  # config.active_record.schema_format = :ruby
-
-  # Deliveries are disabled by default. Do NOT modify this section.
-  # Define your email configuration in configuration.yml instead.
-  # It will automatically turn deliveries on
-  config.action_mailer.perform_deliveries = false
-
-  # Insert vendor/chiliproject_plugins at the top of the plugin load paths
-  config.plugin_paths.insert(0, File.join(Rails.root, "vendor", "chiliproject_plugins"))
-
-  # Use redmine's custom plugin locater
-  require File.join(RAILS_ROOT, "lib/redmine_plugin_locator")
-  config.plugin_locators << RedminePluginLocator
-
-  # Load any local configuration that is kept out of source control
-  # (e.g. patches).
-  if File.exists?(File.join(File.dirname(__FILE__), 'additional_environment.rb'))
-    instance_eval File.read(File.join(File.dirname(__FILE__), 'additional_environment.rb'))
-  end
-end
+require File.expand_path('../application', __FILE__)
+ChiliProject::Application.initialize!
diff --git a/config/environments/development.rb b/config/environments/development.rb
index 0bc90c1..e64b327 100644
--- a/config/environments/development.rb
+++ b/config/environments/development.rb
@@ -12,20 +12,40 @@
 # See doc/COPYRIGHT.rdoc for more details.
 #++
 
-# Settings specified here will take precedence over those in config/environment.rb
+ChiliProject::Application.configure do
+  # Settings specified here will take precedence over those in config/application.rb
 
-# In the development environment your application's code is reloaded on
-# every request.  This slows down response time but is perfect for development
-# since you don't have to restart the webserver when you make code changes.
-config.cache_classes = false
+  # In the development environment your application's code is reloaded on
+  # every request. This slows down response time but is perfect for development
+  # since you don't have to restart the web server when you make code changes.
+  config.cache_classes = false
 
-# Log error messages when you accidentally call methods on nil.
-config.whiny_nils = true
+  # Log error messages when you accidentally call methods on nil.
+  config.whiny_nils = true
 
-# Show full error reports and disable caching
-config.action_controller.consider_all_requests_local = true
-config.action_view.debug_rjs                         = true
-config.action_controller.perform_caching             = false
+  # Show full error reports and disable caching
+  config.consider_all_requests_local       = true
+  config.action_controller.perform_caching = false
 
-# Don't care if the mailer can't send
-config.action_mailer.raise_delivery_errors = false
\ No newline at end of file
+  # Don't care if the mailer can't send
+  config.action_mailer.raise_delivery_errors = false
+
+  # Print deprecation notices to the Rails logger
+  config.active_support.deprecation = :log
+
+  # Only use best-standards-support built into browsers
+  config.action_dispatch.best_standards_support = :builtin
+
+  # Raise exception on mass assignment protection for Active Record models
+  config.active_record.mass_assignment_sanitizer = :strict
+
+  # Log the query plan for queries taking more than this (works
+  # with SQLite, MySQL, and PostgreSQL)
+  config.active_record.auto_explain_threshold_in_seconds = 0.5
+
+  # Do not compress assets
+  config.assets.compress = false
+
+  # Expands the lines which load the assets
+  config.assets.debug = true
+end
diff --git a/config/environments/production.rb b/config/environments/production.rb
index 4406803..6adad44 100644
--- a/config/environments/production.rb
+++ b/config/environments/production.rb
@@ -12,33 +12,72 @@
 # See doc/COPYRIGHT.rdoc for more details.
 #++
 
-# Settings specified here will take precedence over those in config/environment.rb
+ChiliProject::Application.configure do
+  # Settings specified here will take precedence over those in config/application.rb
 
-# The production environment is meant for finished, "live" apps.
-# Code is not reloaded between requests
-config.cache_classes = true
+  # Code is not reloaded between requests
+  config.cache_classes = true
 
-#####
-# Customize the default logger (http://ruby-doc.org/core/classes/Logger.html)
-#
-# Use a different logger for distributed setups
-# config.logger        = SyslogLogger.new
-#
-# Rotate logs bigger than 1MB, keeps no more than 7 rotated logs around.
-# When setting a new Logger, make sure to set it's log level too.
-#
-# config.logger = Logger.new(config.log_path, 7, 1048576)
-# config.logger.level = Logger::INFO
+  # Full error reports are disabled and caching is turned on
+  config.consider_all_requests_local       = false
+  config.action_controller.perform_caching = true
+
+  # Keep Rails's static asset server enabled
+  # Apache or nginx should already do this but to keep it save for people with
+  # strange setups and for testing we keep it enabled
+  config.serve_static_assets = true
+
+  # Compress JavaScripts and CSS
+  config.assets.compress = true
+
+  # Don't fallback to assets pipeline if a precompiled asset is missed
+  config.assets.compile = false
+
+  # Generate digests for assets URLs
+  config.assets.digest = true
+
+  # Defaults to nil and saved in location specified by config.assets.prefix
+  # config.assets.manifest = YOUR_PATH
+
+  # Specifies the header that your server uses for sending files
+  # config.action_dispatch.x_sendfile_header = "X-Sendfile" # for apache
+  # config.action_dispatch.x_sendfile_header = 'X-Accel-Redirect' # for nginx
+
+  # Force all access to the app over SSL, use Strict-Transport-Security, and use secure cookies.
+  # config.force_ssl = true
+
+  # See everything in the log (default is :info)
+  # config.log_level = :debug
+
+  # Prepend all log lines with the following tags
+  # config.log_tags = [ :subdomain, :uuid ]
+
+  # Use a different logger for distributed setups
+  # config.logger = ActiveSupport::TaggedLogging.new(SyslogLogger.new)
+
+  # Use a different cache store in production
+  # config.cache_store = :mem_cache_store
+
+  # Enable serving of images, stylesheets, and JavaScripts from an asset server
+  # config.action_controller.asset_host = "http://assets.example.com"
+
+  # Precompile additional assets (application.js, application.css, and all non-JS/CSS are already added)
+  # config.assets.precompile += %w( search.js )
+
+  # Disable delivery errors, bad email addresses will be ignored
+  config.action_mailer.raise_delivery_errors = false
 
-# Full error reports are disabled and caching is turned on
-config.action_controller.consider_all_requests_local = false
-config.action_controller.perform_caching             = true
+  # Enable threaded mode
+  config.threadsafe!
 
-# Enable serving of images, stylesheets, and javascripts from an asset server
-# config.action_controller.asset_host                  = "http://assets.example.com"
+  # Enable locale fallbacks for I18n (makes lookups for any locale fall back to
+  # the I18n.default_locale when a translation can not be found)
+  config.i18n.fallbacks = true
 
-# Disable delivery errors if you bad email addresses should just be ignored
-config.action_mailer.raise_delivery_errors = false
+  # Send deprecation notices to registered listeners
+  config.active_support.deprecation = :notify
 
-# No email in production log
-config.action_mailer.logger = nil
+  # Log the query plan for queries taking more than this (works
+  # with SQLite, MySQL, and PostgreSQL)
+  # config.active_record.auto_explain_threshold_in_seconds = 0.5
+end
diff --git a/config/environments/test.rb b/config/environments/test.rb
index d011398..4c510c9 100644
--- a/config/environments/test.rb
+++ b/config/environments/test.rb
@@ -12,28 +12,40 @@
 # See doc/COPYRIGHT.rdoc for more details.
 #++
 
-# Settings specified here will take precedence over those in config/environment.rb
+ChiliProject::Application.configure do
+  # Settings specified here will take precedence over those in config/application.rb
 
-# The test environment is used exclusively to run your application's
-# test suite.  You never need to work with it otherwise.  Remember that
-# your test database is "scratch space" for the test suite and is wiped
-# and recreated between test runs.  Don't rely on the data there!
-config.cache_classes = true
+  # The test environment is used exclusively to run your application's
+  # test suite. You never need to work with it otherwise. Remember that
+  # your test database is "scratch space" for the test suite and is wiped
+  # and recreated between test runs. Don't rely on the data there!
+  config.cache_classes = true
 
-# Log error messages when you accidentally call methods on nil.
-config.whiny_nils    = true
+  # Configure static asset server for tests with Cache-Control for performance
+  config.serve_static_assets = true
+  config.static_cache_control = "public, max-age=3600"
 
-# Show full error reports and disable caching
-config.action_controller.consider_all_requests_local = true
-config.action_controller.perform_caching             = false
+  # Log error messages when you accidentally call methods on nil
+  config.whiny_nils = true
 
-config.action_mailer.perform_deliveries = true
-config.action_mailer.delivery_method = :test
+  # Show full error reports and disable caching
+  config.consider_all_requests_local       = true
+  config.action_controller.perform_caching = false
 
-config.action_controller.session = {
-  :key => "_test_session",
-  :secret => "some secret phrase for the tests."
-}
+  # Raise exceptions instead of rendering exception templates
+  config.action_dispatch.show_exceptions = false
 
-# Skip protect_from_forgery in requests http://m.onkey.org/2007/9/28/csrf-protection-for-your-existing-rails-application
-config.action_controller.allow_forgery_protection  = false
+  # Disable request forgery protection in test environment
+  config.action_controller.allow_forgery_protection    = false
+
+  # Tell Action Mailer not to deliver emails to the real world.
+  # The :test delivery method accumulates sent emails in the
+  # ActionMailer::Base.deliveries array.
+  config.action_mailer.delivery_method = :test
+
+  # Raise exception on mass assignment protection for Active Record models
+  config.active_record.mass_assignment_sanitizer = :strict
+
+  # Print deprecation notices to the stderr
+  config.active_support.deprecation = :stderr
+end
diff --git a/config/initializers/30-redmine.rb b/config/initializers/30-redmine.rb
index 4a7532d..a67f9d3 100644
--- a/config/initializers/30-redmine.rb
+++ b/config/initializers/30-redmine.rb
@@ -12,7 +12,6 @@
 # See doc/COPYRIGHT.rdoc for more details.
 #++
 
-I18n.default_locale = 'en'
 # Adds fallback to default locale for untranslated strings
 I18n::Backend::Simple.send(:include, I18n::Backend::Fallbacks)
 
diff --git a/config/initializers/inflections.rb b/config/initializers/inflections.rb
index 003abce..fa7ed9f 100644
--- a/config/initializers/inflections.rb
+++ b/config/initializers/inflections.rb
@@ -22,3 +22,8 @@
 #   inflect.irregular 'person', 'people'
 #   inflect.uncountable %w( fish sheep )
 # end
+#
+# These inflection rules are supported but not enabled by default:
+# ActiveSupport::Inflector.inflections do |inflect|
+#   inflect.acronym 'RESTful'
+# end
diff --git a/script/rails b/script/rails
new file mode 100644
index 0000000..f8da2cf
--- /dev/null
+++ b/script/rails
@@ -0,0 +1,6 @@
+#!/usr/bin/env ruby
+# This command will automatically be run when you run "rails" with Rails 3 gems installed from the root of your application.
+
+APP_PATH = File.expand_path('../../config/application',  __FILE__)
+require File.expand_path('../../config/boot',  __FILE__)
+require 'rails/commands'
